App::Parcimonie::Daemon(3pm)

NAME
App::Parcimonie::Daemon - parcimonie daemon class

SYNOPSIS
Have a look to bin/parcimonie for a full-blown real life usage example.

TYPES

ATTRIBUTES

METHODS

  BUILD
Post-constructor.

  run
Run the daemon infinite loop.

  keyserver_defined_on_command_line
Return true iff a keyserver was passed on the command-line via --gnupg-extra-arg.

  iterate
Arg: long PGP key id (Str). Returns next sleep time (seconds).

  record_memory_usage
Args: a message (Str) indicating when we're run. Records memory usage in the memory_usage attribute, iff. the REPORT_MEMORY_USAGE environment variable is set to a true value.